KDE 4.5 PyKDE API Reference

- KDE's Python API

# MarbleGlobal Class Reference

`from PyKDE4.marble import *`

Namespace: Marble.MarbleGlobal

## Detailed Description

Describes possible flight mode (interpolation between source and target camera positions)

## Enumerations

Profile | { Default, SmallScreen }

## Methods

| __init__ (self)
Marble.MarbleGlobal.Profiles | detectProfiles (self)
Marble.MarbleGlobal | getInstance (self)
Marble.MarbleGlobal.Profiles | profiles (self)
| setProfiles (self, Marble.MarbleGlobal.Profiles profiles)

## Method Documentation

__init__ | ( |  | self ) |

Marble.MarbleGlobal.Profiles detectProfiles | ( |  | self ) |

Automatically detects the profile.

Marble.MarbleGlobal getInstance | ( |  | self ) |

Marble.MarbleGlobal.Profiles profiles | ( |  | self ) |

setProfiles | ( | self, |
|  | Marble.MarbleGlobal.Profiles | profiles
| ) |  |  |

## Enumeration Documentation

Profile

Enumerator:

  Default = 0x0 |
  SmallScreen = 0x1 |